Name:		mandrake_doc
Summary:	Mandrake Linux documentation
Version:	9.2
Release:	0.9mdk
License:	GFDL
Group:		Books/Computer books
Url:		http://linux-mandrake.com/en/doc/project/

Source0:	%name-%version.tar.bz2
Source1:	%name.tar.bz2

Buildroot:	%_tmppath/%name-%version-%release-root
BuildArch:	noarch
BuildRequires: 	Borges-DocBook

%define LANGS fr en de es it ru
%define MANUALS Command-Line/Command-Line Quick-Startup-Plus/Quick-Startup-Plus Starter/Starter Drakxtools-Guide/Drakxtools-Guide

%description
This package contains some useful documentation for Mandrake Linux systems.
This documentation is directly accessible through the Mandrake desktop (the
"Documentation" icon). It includes many manuals ranging from Installation
Guide to Server Reference Manual.


%package de
Summary: 	The Mandrake Linux manuals in German
Group:		Books/Computer books
Requires:	locales-de
Requires:	%name-common

%description de
This package contains some useful documentation for Mandrake Linux systems.
This documentation is directly accessible through the Mandrake desktop (the
"Documentation" icon). It includes many manuals ranging from Installation
Guide to Server Reference Manual.


%package en
Summary:	The Mandrake Linux manuals in English
Group:		Books/Computer books
# Removed at Warly's request
#Requires:	locales-en
Requires:	%name-common

%description en
This package contains some useful documentation for Mandrake Linux systems.
This documentation is directly accessible through the Mandrake desktop (the
"Documentation" icon). It includes many manuals ranging from Installation
Guide to Server Reference Manual.


%package es
Summary:	The Mandrake Linux manuals in Spanish
Group:		Books/Computer books
Requires:	locales-es
Requires:	%name-common

%description es
This package contains some useful documentation for Mandrake Linux systems.
This documentation is directly accessible through the Mandrake desktop (the
"Documentation" icon). It includes many manuals ranging from Installation
Guide to Server Reference Manual.


%package fr
Summary:	The Mandrake Linux manuals in French
Group:		Books/Computer books
Requires:	locales-fr
Requires:	%name-common

%description fr
This package contains some useful documentation for Mandrake Linux systems.
This documentation is directly accessible through the Mandrake desktop (the
"Documentation" icon). It includes many manuals ranging from Installation
Guide to Server Reference Manual.


%package it
Summary:	The Mandrake Linux manuals in Italian
Group:		Books/Computer books
Requires:	locales-it
Requires:	%name-common

%description it
This package contains some useful documentation for Mandrake Linux systems.
This documentation is directly accessible through the Mandrake desktop (the
"Documentation" icon). It includes many manuals ranging from Installation
Guide to Server Reference Manual.


%package ru
Summary:        The Mandrake Linux manuals in Russian
Group:          Books/Computer books
Requires:       locales-ru
Requires:	%name-common

%description ru
This package contains some useful documentation for Mandrake Linux systems.
This documentation is directly accessible through the Mandrake desktop (the
"Documentation" icon). It includes many manuals ranging from Installation
Guide to Server Reference Manual.

# DrakXtools online help

# %package drakxtools-de
# Summary: 	The Mandrake Linux Tools User Guide in German
# Group:		Books/Computer books
# Requires:	locales-de
# 
# %description drakxtools-de
# This package contains the documentation for the Mandrake Linux DrakXTools.
# This documentation is directly accessible through the tools help menus
# or buttons.

%package drakxtools-en
Summary:	The Mandrake Linux Tools User Guide in English
Group:		Books/Computer books
Requires:	locales-en
Requires:	%name-common

%description drakxtools-en
This package contains the documentation for the Mandrake Linux DrakXTools.
This documentation is directly accessible through the tools help menus
or buttons.


%package drakxtools-es
Summary:	The Mandrake Linux Tools User Guide in Spanish
Group:		Books/Computer books
Requires:	locales-es
Requires:	%name-common

%description drakxtools-es
This package contains the documentation for the Mandrake Linux DrakXTools.
This documentation is directly accessible through the tools help menus
or buttons.


%package drakxtools-fr
Summary:	The Mandrake Linux Tools User Guide in French
Group:		Books/Computer books
Requires:	locales-fr
Requires:	%name-common

%description drakxtools-fr
This package contains the documentation for the Mandrake Linux DrakXTools.
This documentation is directly accessible through the tools help menus
or buttons.

# Those not ready
# %package drakxtools-it
# Summary:	The Mandrake Linux Tools User Guide in Italian
# Group:		Books/Computer books
# Requires:	locales-it
# Requires:	%name-common
# 
# %description drakxtools-it
# This package contains the documentation for the Mandrake Linux DrakXTools.
# This documentation is directly accessible through the tools help menus
# or buttons.
# 
# 
# %package drakxtools-ru
# Summary:        The Mandrake Linux Tools User Guide in Russian
# Group:          Books/Computer books
# Requires:       locales-ru
# Requires:	%name-common
# 
# %description drakxtools-ru
# This package contains the documentation for the Mandrake Linux DrakXTools.
# This documentation is directly accessible through the tools help menus
# or buttons.


%package common
Summary:	Common data for all Mandrake Linux specific documentation
Group:		Books/Computer books
Conflicts:	mandrake_doc < 9.2

%description common

This package contains common icons and images for all Mandrake Linux
specific documentation, plus the index file matching Help IDs to HTML
help pages.


%prep

%setup -q -n %name-%version -c -a 1

%build

./configure
make all OUTPUTSDIR=mandrake SUBDOCS="%{MANUALS}" LANGS="%{LANGS}"


%install
rm -fr %buildroot

install -d -m 0755 %buildroot/%_menudir

# David - 8.1-3mdk - Install german menu entry
cat > %buildroot/%_menudir/%name-de <<EOF
?package(mandrake_doc-de): \
command="sh -c '\$BROWSER %_docdir/mandrake/de/index.html'" \
icon="documentation_section.png" \
needs="x11" \
title="Mandrake Linux documentation in German" \
longtitle="Mandrake Linux documentation in German" \
section="Documentation"
EOF

# David - 8.1-3mdk - Install english menu entry
cat > %buildroot/%_menudir/%name-en <<EOF
?package(mandrake_doc-en): \
command="sh -c '\$BROWSER %_docdir/mandrake/en/index.html'" \
icon="documentation_section.png" \
needs="x11" \
title="Mandrake Linux documentation in English" \
longtitle="Mandrake Linux documentation in English" \
section="Documentation"
EOF

# David - 8.1-3mdk - Install spanish menu entry
cat > %buildroot/%_menudir/%name-es <<EOF
?package(mandrake_doc-es): \
command="sh -c '\$BROWSER %_docdir/mandrake/es/index.html'" \
icon="documentation_section.png" \
needs="x11" \
title="Mandrake Linux documentation in Spanish" \
longtitle="Mandrake Linux documentation in Spanish" \
section="Documentation"
EOF

# David - 8.1-3mdk - Install french menu entry
cat > %buildroot/%_menudir/%name-fr <<EOF
?package(mandrake_doc-fr): \
command="sh -c '\$BROWSER %_docdir/mandrake/fr/index.html'" \
icon="documentation_section.png" \
needs="x11" \
title="Mandrake Linux documentation in French" \
longtitle="Mandrake Linux documentation in French" \
section="Documentation"
EOF

# Dadou - 8.1-3mdk - Install italian menu entry
cat > %buildroot/%_menudir/%name-it <<EOF
?package(mandrake_doc-it): \
command="sh -c '\$BROWSER %_docdir/mandrake/it/index.html'" \
icon="documentation_section.png" \
needs="x11" \
title="Mandrake Linux documentation in Italian" \
longtitle="Mandrake Linux documentation in Italian" \
section="Documentation"
EOF

# Camille - 9.0-4mdk - Install Russian menu entry
cat > %buildroot/%_menudir/%name-ru <<EOF
?package(mandrake_doc-ru): \
command="sh -c '\$BROWSER %_docdir/mandrake/ru/index.html'" \
icon="documentation_section.png" \
needs="x11" \
title="Mandrake Linux documentation in Russian" \
longtitle="Mandrake Linux documentation in Russian" \
section="Documentation"
EOF

# Remove Books not finished at this time
rm -rf mandrake/{de,it}/Drakxtools-Guide.*
rm -rf mandrake/{it,ru}/Starter.*
rm -rf mandrake/{it,ru}/Command-Line.*
# Those are unneeded
rm -rf mandrake/{en,es}/Quick-Startup-Plus.*


#install the books themselves 
DESTDIR=%buildroot/%{_docdir}

install -d -m 0755 $DESTDIR/
mv mandrake $DESTDIR/
rm -f $DESTDIR/mandrake/index.html
rm -f $DESTDIR/mandrake/*.omf


# Install Index page for each language
for i in %{LANGS}; do
	install -d -m 0755 %buildroot/%_docdir/mandrake/images/$i
	cp -r mandrake_doc/$i/* %buildroot/%_docdir/mandrake/$i
done
for i in mandrake_doc/images/*; do
  install -m 0644 $i %buildroot/%_docdir/mandrake/images/
done

# install ctxhelp.pm which tells drakhelp which HTML help page
# corresponds to which application help button
install -d -m 0755 %buildroot/%_libdir/libDrakX/
install -m 0644 %name/ctxhelp.pm %buildroot/%_libdir/libDrakX/
install -d -m 0755 %buildroot/%_sbindir/
install -m 0755 %name/drakhelp_inst %buildroot/%_sbindir/

%clean
rm -fr %buildroot


%post de
%update_menus
%postun de
%clean_menus

%post en
%update_menus
%postun en
%clean_menus

%post es
%update_menus
%postun es
%clean_menus

%post fr
%update_menus
%postun fr
%clean_menus

%post it
%update_menus
%postun it
%clean_menus

%post ru
%update_menus
%postun ru
%clean_menus


%files common
%defattr(-,root,root)
%dir %_docdir/mandrake/
%docdir %_docdir/mandrake/images/
%doc %_docdir/mandrake/images/*
%_libdir/libDrakX/ctxhelp.pm
%_sbindir/drakhelp_inst

%files de
%defattr(-,root,root)
%_menudir/mandrake_doc-de
%dir %_docdir/mandrake/de/
%doc %_docdir/mandrake/de/index.html
%doc %_docdir/mandrake/de/Quick-Startup-Plus.*

%files en
%defattr(-,root,root)
%_menudir/mandrake_doc-en
%dir %_docdir/mandrake/en/
%doc %_docdir/mandrake/en/index.html
%doc %_docdir/mandrake/en/Starter.*
%doc %_docdir/mandrake/en/Command-Line.*

%files es
%defattr(-,root,root)
%_menudir/mandrake_doc-es
%dir %_docdir/mandrake/es/
%doc %_docdir/mandrake/es/index.html
%doc %_docdir/mandrake/es/Starter.*
%doc %_docdir/mandrake/es/Command-Line.*

%files fr
%defattr(-,root,root)
%_menudir/mandrake_doc-fr
%dir %_docdir/mandrake/fr/
%doc %_docdir/mandrake/fr/index.html
%doc %_docdir/mandrake/fr/Starter.*
%doc %_docdir/mandrake/fr/Command-Line.*

%files it
%defattr(-,root,root)
%_menudir/mandrake_doc-it
%dir %_docdir/mandrake/it/
%doc %_docdir/mandrake/it/index.html
%doc %_docdir/mandrake/it/Quick-Startup-Plus.*

%files ru
%defattr(-,root,root)
%_menudir/mandrake_doc-ru
%dir %_docdir/mandrake/ru/
%doc %_docdir/mandrake/ru/index.html
%doc %_docdir/mandrake/ru/Quick-Startup-Plus.*
# %doc %_docdir/mandrake/ru/Command-Line.*


%files drakxtools-en
%defattr(-,root,root)
%doc %_docdir/mandrake/en/Drakxtools-Guide.html/

%files drakxtools-es
%defattr(-,root,root)
%doc %_docdir/mandrake/es/Drakxtools-Guide.html/

%files drakxtools-fr
%defattr(-,root,root)
%doc %_docdir/mandrake/fr/Drakxtools-Guide.html/

# Those not ready
# %files drakxtools-de
# %defattr(-,root,root)
# %doc %_docdir/mandrake/de/Drakxtools-Guide.html/

# %files drakxtools-it
# %defattr(-,root,root)
# %doc %_docdir/mandrake/it/Drakxtools-Guide.html/

# %files drakxtools-ru
# %defattr(-,root,root)
# %doc %_docdir/mandrake/ru/Drakxtools-Guide.html/


%changelog
* Sun Sep 21 2003  <camille@ke.mandrakesoft.com> 9.2-0.9mdk
- changed \%make to make because one image did not compile !?!?
- update doc and index.html's

* Sat Sep 20 2003  <camille@ke.mandrakesoft.com> 9.2-0.9mdk
- Fix index.html's
- update doc

* Wed Sep 17 2003  <camille@ke.mandrakesoft.com> 9.2-0.8mdk
- removed locales-en requirement

* Wed Sep 17 2003  <camille@ke.mandrakesoft.com> 9.2-0.7mdk
- update doc
- adjust manuals that should be available

* Mon Sep  8 2003  <camille@ke.mandrakesoft.com> 9.2-0.6mdk
- Source2 & 3 are included in mandrake_doc.tar.bz2 (now on CVS)

* Mon Sep  8 2003  <camille@ke.mandrakesoft.com> 9.2-0.5mdk
- Deush updated perl code
- doc updated

* Fri Sep  5 2003  <camille@ke.mandrakesoft.com> 9.2-0.4mdk
- update
- remove drakxtools from main doc

* Wed Sep  3 2003  <camille@ke.mandrakesoft.com> 9.2-0.3mdk
- added /usr/sbin/drakhelp_inst

* Tue Sep  2 2003  <camille@ke.mandrakesoft.com> 9.2-0.2mdk
- added mandrake_doc-common package to hold icons and ctxhelp.pm
- Conflicts:	mandrake_doc < 9.2

* Thu Aug 28 2003  <camille@ke.mandrakesoft.com> 9.2-0.1mdk
- New for Mandrake Linux 9.2
- Added ctxhelp.pm for drakhelp

* Thu Mar 13 2003  <camille@ke.mandrakesoft.com> 9.1-2mdk
- update MCC icons

* Wed Mar 12 2003  <camille@ke.mandrakesoft.com> 9.1-1mdk
- removed mandrakecampus from index.html
- updated doc
- normally final RPM for 9.1 

* Mon Mar 10 2003  <camille@ke.mandrakesoft.com> 9.1-0.7mdk
- update doc
- Remove manuals not ready
- update index.html's

* Fri Mar  7 2003  <camille@ke.mandrakesoft.com> 9.1-0.6mdk
- update doc
- add new Quick-Startup-Plus manual for DE, ES, IT

* Wed Feb 26 2003  <camille@ke.mandrakesoft.com> 9.1-0.5mdk
- update doc

* Fri Feb 14 2003  <camille@ke.mandrakesoft.com> 9.1-0.4mdk
- update doc

* Wed Feb  5 2003  <camille@ke.mandrakesoft.com> 9.1-0.3mdk
- Put each tool on a separate HTML page

* Tue Feb  4 2003  <camille@ke.mandrakesoft.com> 9.1-0.2mdk
- Improve TOCs notably for DrakXTools manual (is it OK Titi?)

* Mon Feb 03 2003 Camille <camille@ke.mandrakesoft.com> 9.1-0.1mdk
- Adapt to new Borges API
- Added drakxtools doc packages

* Thu Dec 19 2002  <camille@ke.mandrakesoft.com> 9.0-2mdk
- sligtly updated doc in all languages
- Some more manuals translated (Utalian, Russian)

* Fri Sep 20 2002  <camille@ke.mandrakesoft.com> 9.0-1mdk
- Final doc for 9.0 CDs (hopefuly)

* Thu Sep 19 2002  <camille@ke.mandrakesoft.com> 9.0-0.6mdk
- Fix buggy install script
- update doc
- update html index welcome pages

* Wed Sep 18 2002  <camille@ke.mandrakesoft.com> 9.0-0.5mdk
- Update doc, fix html index welcome pages in all languages

* Tue Sep 17 2002  <camille@ke.mandrakesoft.com> 9.0-0.4mdk
- update doc, suppress manuals not translated

* Sun Sep 15 2002  <camille@ke.mandrakesoft.com> 9.0-0.3mdk
- Updated docs and index html pages

* Fri Sep  6 2002  <camille@ke.mandrakesoft.com> 9.0-0.2mdk
- now all manuals

* Wed Sep 4 2002 Camille Begnis <camille@mandrakesoft.com> 9.0-0.1mdk
- 9.0 first specs with Borges system

* Wed Feb 20 2002 Camille Begnis <camille@mandrakesoft.com> 8.2-1mdk
- Hopefully the final release.

* Wed Feb 20 2002 Camille Begnis <camille@mandrakesoft.com> 8.2-0.4mdk
- Update content + index manual image (ln)
- Compile only HTML, not PDF

* Wed Feb 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 8.2-0.3mdk
- Escape $BROWSER in menu file 

* Wed Feb 20 2002 Camille Begnis <camille@mandrakesoft.com> 8.2-0.2mdk
- Some updates in manuals

* Sat Feb 16 2002 Camille Begnis <camille@mandrakesoft.com> 8.2-0.1mdk
- First drafts for 8.2 manuals

* Wed Dec 26 2001 David BAUDENS <baudens@mandrakesoft.com> 8.1-3mdk
- s/Linux?Mandrake/Mandrake Linux/
- Clean spec (macros, make it readable, fix Group, don't untar/bzip2 the same
  source twice, etc.)
- Use default documentation icon for menu

* Tue Oct 09 2001 Camille Begnis <camille@mandrakesoft.com> 8.1-2mdk
- updated doc
 
* Fri Sep 21 2001 Camille Begnis <camille@mandrakesoft.com> 8.1-1mdk
- updated doc

* Fri Sep 21 2001 Camille Begnis <camille@mandrakesoft.com> 8.1-0.4mdk
- updated some texts
- updated doc

* Tue Sep 18 2001 Camille Begnis <camille@mandrakesoft.com> 8.1-0.3mdk
- updated some texts
- updated doc

* Wed Sep 08 2001 Camille Begnis <camille@mandrakesoft.com> 8.1-0.2mdk
- new index page with new images
- updated doc

* Sat Sep 08 2001 Camille Begnis <camille@mandrakesoft.com> 8.1-0.1mdk
- first beta 8.1 for beta3

* Tue Apr 17 2001 Camille Begnis <camille@mandrakesoft.com> 8.0-2mdk
- Remove unused images and &shy;

* Sun Apr 15 2001 Camille Begnis <camille@mandrakesoft.com> 8.0-1mdk
- HTML 8.0 finale

* Tue Mar 27 2001 Camille Begnis <camille@mandrakesoft.com> 8.0-0.2mdk
- update doc
- fix menu entry

* Tue Mar 27 2001 Camille Begnis <camille@mandrakesoft.com> 8.0-0.1mdk
- 8.0 alpha documentation

* Wed Oct 24 2000 Camille Begnis <camille@mandrakesoft.com> 0.5-9mdk
- add italian sources
- suppress russian

* Wed Oct 24 2000 Camille Begnis <camille@mandrakesoft.com> 0.5-8mdk
- fix broken link in en/index.html

* Wed Oct 11 2000 Camille Begnis <camille@mandrakesoft.com> 0.5-7mdk
- bugfix in sources

* Thu Oct 05 2000 Camille Begnis <camille@mandrakesoft.com> 0.5-6mdk
- fix images paths in index.html's
- use different menu names (xx)

* Thu Oct 05 2000 Camille Begnis <camille@mandrakesoft.com> 0.5-5mdk
- Updated docs: en+fr+de+es finished
- better integration of sources

* Wed Oct 04 2000 Daouda Lo <daouda@mandrakesoft.com> 0.5-4mdk
- hat icons really removed.
- correct some paths and links.

* Wed Sep 27 2000 Camille Begnis <camille@mandrakesoft.com> 0.5-3mdk
- solve icons conflict

* Wed Sep 27 2000 Camille Begnis <camille@mandrakesoft.com> 0.5-2mdk
- Update
- Suppress KDE doc

* Sat Sep 16 2000 Camille Begnis <camille@mandrakesoft.com> 0.5-1mdk
- doc drafts for 7.2

* Thu May 11 2000 Camille Begnis <camille@mandrakesoft.com> 0.4-4mdk
- updated images

* Wed May 10 2000 Camille Begnis <camille@mandrakesoft.com> 0.4-3mdk
- updated doc 

* Tue May 09 2000 Camille Begnis <camille@mandrakesoft.com> 0.4-2mdk
- add menu entry
- updated doc            

* Thu May 04 2000 Camille Begnis <camille@mandrakesoft.com> 0.4-1mdk
- spec update 
- Now split into corporate and power packages

* Wed Jan 12 2000 Francis Galiegue <francis@mandrakesoft.com>

- Now generate all packages, point to English docs when local ones are not
  available


* Thu Jan 06 2000 Francis Galiegue <francis@mandrakesoft.com>

- Transparency sucks

* Thu Jan 06 2000 Francis Galiegue <francis@mandrakesoft.com>

- Compressed GIF images (Unisys sucks, really)

* Wed Jan 05 2000 Francis Galigue <francis@mandrakesoft.com>

- GIF images
- Only generate en and fr packages for now

* Wed Jan 05 2000 Francis Galigue <francis@mandrakesoft.com>

- Updated userguide and installguide

* Wed Dec 22 1999 Pixel <pixel@mandrakesoft.com>
- put this old one to have at least one...
- split in different language

*  Wed Sep 29 1999 Francis Galiegue <francis@mandrakesoft.com>

- %descripion -> %description :(
- fresmeat -> freshmeat...

* Wed Sep 01 1999 Francis GALIEGUE <francis@mandrakesoft.com>

- updated Mandrake user guide in French, English and German
- added French description and summary
- disabled builds other than en and fr for now
